JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- File List
- File Members

Loading...
Searching...
No Matches
Classes | Typedefs
juce_Interpolators.h File Reference

## Classes
class | Interpolators
| A collection of different interpolators for resampling streams of floats. More...

## Typedefs
using | WindowedSincInterpolator = Interpolators::WindowedSinc
| An interpolator for resampling a stream of floats using high order windowed (hann) sinc interpolation, recommended for high quality resampling.
using | LagrangeInterpolator = Interpolators::Lagrange
| An interpolator for resampling a stream of floats using 4-point lagrange interpolation.
using | CatmullRomInterpolator = Interpolators::CatmullRom
| An interpolator for resampling a stream of floats using Catmull-Rom interpolation.
using | LinearInterpolator = Interpolators::Linear
| An interpolator for resampling a stream of floats using linear interpolation.
using | ZeroOrderHoldInterpolator = Interpolators::ZeroOrderHold
| An interpolator for resampling a stream of floats using zero order hold interpolation.